<? $this->headScript()
	->appendFile(_st('signup-v2.js'))
	->appendScript("Cubix.Lang.signup = " . json_encode($this->signup_i18n) . ";")
	->appendScript("Cubix.Validator.Lang = '" . $this->lang() . "'")
	//->appendFile('http://www.google.com/recaptcha/api/js/recaptcha_ajax.js', 'text/javascript');?>

<script type="text/javascript">
	window.addEvent('domready', function() {

		/*RecaptchaOptions = {
			theme : 'clean'
		};
		Recaptcha.create("6LdcRr8SAAAAAJH8_-gPTzJlbVZV9RE2Kj7zekcw", 'recaptcha_div', RecaptchaOptions);*/

		$$('.registration-box .txt-error').addEvent('mouseenter', function(){
			this.getNext('div').removeClass('none');
		});
		$$('.registration-box .txt-error').addEvent('mouseleave', function(){
			this.getNext('div').addClass('none');
		});

        $$('.reg-error-box').addEvent('mouseenter', function(){
			this.getChildren('.error').removeClass('none');
		});

		$$('.reg-error-box').addEvent('mouseleave', function(){
            this.getChildren('.error').addClass('none');
		});

		if ( $('terms-link') ) {
		   $('terms-link').addEvent('click', function(e) {
				e.stop();
				Cubix.ShowTerms('<?= $this->getLink('terms') ?>');
		   });
	    }
	});
</script>

<?= $this->headLink()->prependStylesheet(_st('signup.css')) ?>

<div id="signup_v2">
	<p class="text"><?= __('su2_please_fill_out_form') ?></p>

	<div class="step-bar">
		<ul>
			<li class="icon">
				<img src="<?= _st('signup/step_1.png') ?>" />
			</li>
			<li class="text">
				<img src="<?= _st('signup/' . $this->lang() . '_step_1_text.png') ?>" />
			</li>
			<li class="icon">
				<img src="<?= _st('signup/step_2_active.png') ?>" />
				<div class="arrow"></div>
			</li>
			<li class="text">
				<img src="<?= _st('signup/' . $this->lang() . '_step_2_text_active.png') ?>" />
			</li>
			<li class="icon">
				<img src="<?= _st('signup/step_3.png') ?>" />
			</li>
			<li class="text">
				<img src="<?= _st('signup/' . $this->lang() . '_step_3_text.png') ?>" />
			</li>
		</ul>
	</div>

	<form method="post" action="" name="" >
		<? if ( ! in_array($this->type, array('member', 'vip-member')) ): ?>
       
		<div class="registration-box">
			<p class="text bold padleft50"><?= __('su2_choose_your_business') ?>:</p>
            <div class="padleft174 padtop5">
                <div class=" <?= ($this->errors['user_type']) ? 'reg-error-box' : 'reg-top-container' ?> ">
                    <div class="inner mtb5">
                        <input type="radio" name="user_type" <?php if(isset($this->data['user_type']) && $this->data['user_type']=='escort'){echo "checked";} ?> value="escort" id="user_type_escort" />
                        <label class="big padleft5" for="user_type_escort"><?= __('su2_independent_escort') ?></label>
                    </div>
                    <div class="clear"></div>
                    <div class="inner mtb5">
                        <input type="radio" name="user_type" <?php if(isset($this->data['user_type']) && $this->data['user_type']=='agency'){echo "checked";} ?> id="user_type_agency" value="agency" />
                        <label class="big padleft5" for="user_type_agency"><?= __('su2_agency_escort') ?></label>
                    </div>
                    <div class="tip none error">
                        <div class="tip-arrow"></div
                        <span>
                            <?= $this->errors['user_type'] ?>
                        </span>
                    </div>
                </div>
                
            </div>
			<div class="clear"></div>
		</div>
		<? endif; ?>

		<? if ( in_array($this->type, array('member', 'vip-member')) ): ?>
			<input type='hidden' name='user_type' value='<?= $this->type ?>'  />
		<? endif; ?>
			
		<div class="registration-box">
			<? /*
			<div class="inner" style="">
				<label for="username" style="margin-left: 100px; margin-bottom: 5px;"><?= __('choose_sales_person') ?>:</label>
				<div class="clear"></div>
				<select name="sales_person" style="padding: 3px; width: 250px; margin-left: 174px;">
					<option value="-5">-</option>
					<? foreach( $this->sales_persons as $sales_person ): ?>
					<option value="<?= $sales_person['id'] ?>" <? if ( $sales_person['id'] == $this->data['sales_person'] ):?>selected="selected"<? endif; ?>><?= $sales_person['first_name'] ?></option>
					<? endforeach; ?>
					<!--
					<option value="-5" <? if ( '-5' == $this->data['sales_person'] ):?>selected="selected"<? endif; ?>><?= __('doesnt_matter') ?></option>
					-->
				</select>
				<div class="tip <?= ($this->errors['sales']) ? '' : 'none' ?> error">
					<div class="tip-arrow"></div
					<span>
						<?= $this->errors['sales'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			*/ ?>
			<div class="inner">
				<label class="small" for="username"><?= __('su2_username') ?>:</label>
				<input type="text" class="<?= ($this->errors['username']) ? 'txt-error' : 'txt' ?> w465" value="<?= $this->data['username'] ?>" id="username" name="username" />
				<div class="tip none error">
					<div class="tip-arrow"></div
					<span>
						<?= $this->errors['username'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small" for="password"><?= __('su2_password') ?>:</label>
				<input type="password" class="<?= ($this->errors['password']) ? 'txt-error' : 'txt' ?> w465" value="" name="password" id="password" />
				<div class="tip none error">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['password'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small" for="password2"><?= __('su2_confirm_password') ?>:</label>
				<input type="password" class="<?= ($this->errors['password2']) ? 'txt-error' : 'txt' ?> w465" value="" name="password2" id="password2" />
				<div class="tip none error">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['password2'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small" for="email"><?= __('su2_email') ?>:</label>
				<input type="text" class="<?= ($this->errors['email']) ? 'txt-error' : 'txt' ?> w465" value="<?= $this->data['email'] ?>" name="email" id="email" />
				<div class="tip none error">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['email'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small"> Captcha:</label>
				<span style="float: left; padding-top: 2px; padding-right: 10px;"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
				<input type="text" class="<?= ($this->errors['captcha']) ? 'txt-error' : 'txt' ?> w100"  name="captcha" id="captcha" />
				
				
				<? /*<div class="captcha_box">
					<div id="recaptcha_div"></div>
				</div> */?>
				<div class="tip error terms-err <?= ($this->errors['captcha']) ? '' : 'none' ?>">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['captcha'] ?>
					</span>
				</div>

			</div>
			<div class="clear"></div>
			<div class="inner ml172 w475">
				<input type="checkbox" value="1" name="terms" id="terms" <?= ($this->data['terms']) ? 'checked="checked"' : '' ?> />
				<label for="terms"><?= $this->t('i_agree_with_terms', array('LINK' => $this->getLink('terms'))) ?></label>
				<div class="tip error terms-err <?= ($this->errors['terms']) ? '' : 'none' ?>">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['terms'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>

			<div class="signup-btn">
				<input type="image" src="<?= _st('signup/' . $this->lang() . '_btn_signup.png') ?>" value="" />
			</div>
			<div class="clear"></div>
		</div>
	</form>
</div>